import { asCardStack } from "../components/card-stack";

const Tools: React.FC = () => {
    return <>
        <h2>Languages that I use the most:</h2>
        {asCardStack(LANGUAGES)}

        <h2>My favourite tools...</h2>
        {asCardStack(TOOLS)}
    </>;
}

const LANGUAGES = [
    {
        content: "CSS3",
        icon: "/icons/languages/css3.svg"
    },
    {
        content: "Go",
        icon: "/icons/languages/golang.svg"
    },
    {
        content: "HTML5",
        icon: "/icons/languages/html5.svg"
    },
    {
        content: "Rust",
        icon: "/icons/languages/rust.svg"
    },
    {
        content: "TypeScript",
        icon: "/icons/languages/typescript.svg"
    }
];

const TOOLS = [
    {
        content: "Docker",
        icon: "/icons/tools/docker.svg"
    },
    {
        content: "NixOS",
        icon: "/icons/tools/nixos.svg"
    },
    {
        content: "React",
        icon: "/icons/tools/react.svg"
    },
    {
        content: "Vim",
        icon: "/icons/tools/vim.svg"
    },
    {
        content: "VSCodium",
        icon: "/icons/tools/vscode.svg"
    },
];

export default Tools;